<template>
  <b-card-code
    title="Registros de entradas y salidas del usuario"
    no-body

  >
    
    <b-table
      :fields="fields"
      :items="attendance"
      responsive
      :filter="searchQuery"
      class="mb-0"
      show-empty
      empty-text="No se encontraron registros"
    >

      <!-- A virtual column -->
      <template #cell(index)="data">
        {{ data.item.id  }}
      </template>

      <template #cell(type)="data">
        <span v-if="data.item.type==='check-in'" >Entrada</span>
        <span v-else >Salida</span>
      </template>



    </b-table>
  
    
  </b-card-code>
</template>

<script>
import BCardCode from '@core/components/b-card-code/BCardCode.vue'
import {
  BRow, BCol, BFormInput, BButton, BTable, BMedia, BAvatar, BLink,
  BBadge, BDropdown, BDropdownItem, BProgress,  BFormDatepicker
} from 'bootstrap-vue'


export default {
  name:'checkins-list',
  props:{
    date:{
      type:String,
      required:true
    }
  },
  components: {
    BCardCode,
    BRow,
    BCol,
    BFormInput,
    BButton,
    BTable,
    BMedia,
    BAvatar,
    BLink,
    BBadge,
    BDropdown,
    BDropdownItem,
    BProgress,
    BFormDatepicker,
   


  },
  data() {
    return {
      fields: [
        'index',
        { key: 'date', label: 'Fecha' },
        { key: 'type', label: 'Tipo' },
        { key: 'time', label: 'Hora' },
      ],
      start_date:'',
      end_date:'',
      attendance: [],
      searchQuery:'',
      baseURL:'http://quantumdaily-back.test/storage/',

    }
  },
  methods:{
    getAttendance(){
      let userData = JSON.parse(localStorage.userData)
      this.$http.get('user/attendance/checkins',{params:{user:userData.id,date:this.date}}).then(res=>{
        this.attendance = res.data.attendance
      }).catch(err=>{
        console.log(err)
      })
    },

  },
  mounted(){

    this.getAttendance()
    
  }



}
</script>

<style lang="scss" scoped>
.per-page-selector {
  width: 90px;
}
</style>

<style lang="scss">
@import '@core/scss/vue/libs/vue-select.scss';
</style>
